## ros-noetic-aques-talk 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(aques_talk)

find_package(catkin REQUIRED)

catkin_package()

# Considering the use of docker in addition to the usual use,
# we use dpkg-architecture command instead of ${CMAKE_SYSTEM_PROCESSOR} to get the architecture.
# https://stackoverflow.com/a/58222507
# http://manpages.ubuntu.com/manpages/bionic/man1/dpkg-architecture.1.html
execute_process(COMMAND dpkg-architecture -qDEB_TARGET_GNU_CPU OUTPUT_VARIABLE ARCHITECTURE)
message(STATUS "DEB_TARGET_GNU_CPU : ${ARCHITECTURE}")
if("${ARCHITECTURE}" MATCHES x86_64* OR "${ARCHITECTURE}" STREQUAL "")
  if("${ARCHITECTURE}" STREQUAL "")
    message(WARNING "dpkg version is low, continue building as x86_64.")
  endif()
  set(AQTK2_LNX_LIB_DIR "lib64")
elseif("${ARCHITECTURE}" MATCHES i[0-9]86* )
  set(AQTK2_LNX_LIB_DIR "lib")
else()
  message(WARNING "${ARCHITECTURE} is not supported, do not compile aques_talk")
  return()
endif ()
message(STATUS "AQTK2_LNX_LIB_DIR : ${AQTK2_LNX_LIB_DIR}")

#
include(ExternalProject)
externalproject_add(aqtk2-lnx-eva
  PREFIX download
  URL https://www.a-quest.com/archive/package/aqtk2-lnx-eva_230.zip
  TIMEOUT 120
  CONFIGURE_COMMAND bash -c "echo configure"
  BUILD_COMMAND bash -c "(cd ${AQTK2_LNX_LIB_DIR} && ln -sf libAquesTalk2Eva.so.2.3 libAquesTalk2.so && ln -sf libAquesTalk2Eva.so.2.3 libAquesTalk2.so.2)"
  INSTALL_COMMAND bash -c "cp -P ${AQTK2_LNX_LIB_DIR}/libAquesTalk2* ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION} && mkdir -p ${CMAKE_CURRENT_SOURCE_DIR}/phont/ && cp phont/* ${CMAKE_CURRENT_SOURCE_DIR}/phont/"
  BUILD_IN_SOURCE 1
)

include_directories(${CMAKE_CURRENT_BINARY_DIR}/download/src/aqtk2-lnx-eva/${AQTK2_LNX_LIB_DIR})
link_directories(${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
# compile SampleTalk
add_executable(SampleTalk src/SampleTalk.c)
target_link_libraries(SampleTalk AquesTalk2)

# Make compilation depend on our target:
add_dependencies(SampleTalk aqtk2-lnx-eva)

# install
install(FILES text2wave
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  if("${ARCHITECTURE}" MATCHES x86_64* OR "${ARCHITECTURE}" MATCHES i[0-9]86*)
    add_rostest(test/test_aques_talk.test)
  endif()
endif()

=== debian/changelog ===
ros-noetic-aques-talk (2.1.28-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.25-1focal) focal; urgency=high

  * [aques_talk] build as x86 when dpkg cpu check fails (#387 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/387>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.24-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-aques-talk (2.1.23-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-aques-talk (2.1.22-1focal) focal; urgency=high

  * Ignore charactors which AquesTalk2 cannot recognize (#257 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/257>)
    
      * Update README on limitation
      * Delete certain characters when they come at the beginning of a sentence
      * fixed character replacement
      * Update README
      * Support Katakana
      * All charactors except [^a-zA-Z0-9ぁ-んー、。?？] are removed
      * Ignore charactors which AquesTalk2 cannot recognize
      * Add documentation path to README
    
  * add sound_play_topic  and sound_play_node_name argument (#227 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/227>)
  * Add build procedure for aques_talk (#236 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/236>)
  * Replace numbers in text file for aques_talk to speak numbers (#229 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/229>)
    
      * Update README about input limitation
      * Replace alphabet for aques_talk
      * Use regular expression [0-9]+ instead of [0-9][0-9]*
    
  * [aques_talk] catkinie aques_talk package (#224 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/224>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Ayaka Fujii, Koki Amabe

 -- Kei Okada <kei.okada@gmail.com>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-aques-talk (2.1.21-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.20-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.19-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.18-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.17-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 12:51:00 -0000

ros-noetic-aques-talk (2.1.16-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 06:21:00 -0000

ros-noetic-aques-talk (2.1.15-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.14-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 20 Nov 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.13-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.12-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 24 May 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.11-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 28 Aug 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.10-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 24 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.9-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 23 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.8-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.7-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.6-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Nov 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.5-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.4-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.3-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.2-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 05 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.1-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 04 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.0-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 01 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.0.20-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 08 May 2017 15:00:00 -0000

ros-noetic-aques-talk (2.0.19-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 21 Feb 2017 15:00:00 -0000

ros-noetic-aques-talk (2.0.18-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 27 Oct 2016 15:00:00 -0000



=== debian/control ===
Source: ros-noetic-aques-talk
Section: misc
Priority: optional
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rostest <!nocheck>
Homepage: http://ros.org/wiki/aques_talk
Standards-Version: 3.9.2

Package: ros-noetic-aques-talk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kakasi, nkf, ros-noetic-sound-play
Description: ROS interface aques_talk demo program

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-aques-talk//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
